Skip to main content
GET
/
v1
/
customers
List customers
curl --request GET \
  --url https://mgmt-api.voxfra.com/v1/customers \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "phone_number": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "full_name": "<string>",
      "email": "jsmith@example.com",
      "customer_status": "new",
      "created_from_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_call_at": "2023-11-07T05:31:56Z",
      "last_call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_call_at": "2023-11-07T05:31:56Z",
      "total_calls": 123,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your Voxfra management API key. Passed as a request header.

Format: vox_mgmt_<random>

Query Parameters

client_id
string<uuid>

Filter by client UUID. The client must belong to the authenticated organization.

phone_number
string

Exact normalized phone number filter

customer_status
enum<string>

Filter by customer lifecycle status

Available options:
new,
returning,
unknown
limit
integer
default:50

Number of results to return (max 200, default 50)

Required range: 1 <= x <= 200
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Response

Paginated list of customers

data
object[]
pagination
object